## imcode.server.document
Class TemplateDomainObject

    java.lang.Object
      imcode.server.document.TemplateDomainObject

All Implemented Interfaces:
  java.lang.Comparable<TemplateDomainObject>

    public class TemplateDomainObject

extends java.lang.Object
implements java.lang.Comparable<TemplateDomainObject>

Constructor Summary
`TemplateDomainObject(java.lang.String name, java.lang.String fileName)`

Method Summary
`int` `compareTo(TemplateDomainObject o)`
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getFileName()`
`java.lang.String` `getName()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateDomainObject

    public TemplateDomainObject(java.lang.String name,
                                java.lang.String fileName)

Method Detail

### getFileName

    public java.lang.String getFileName()

### getName

    public java.lang.String getName()

### compareTo

    public int compareTo(TemplateDomainObject o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TemplateDomainObject>`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`